## CamelMaildirSummary

CamelMaildirSummary

## Functions

CamelMaildirSummary * | camel_maildir_summary_new ()
gchar * | camel_maildir_summary_info_to_name ()
gint | camel_maildir_summary_name_to_info ()
#define | camel_maildir_info_filename()
#define | camel_maildir_info_set_filename()

## Types and Values

| CamelMaildirMessageInfo
struct | CamelMaildirSummary

## Object Hierarchy

        GObject
        ╰── CamelFolderSummary
            ╰── CamelLocalSummary
                ╰── CamelMaildirSummary

## Description

## Functions

### camel_maildir_summary_new ()

    CamelMaildirSummary *
    camel_maildir_summary_new (struct _CamelFolder *folder,
                               const gchar *maildirdir,
                               CamelIndex *index);

Create a new CamelMaildirSummary object.

#### Parameters

folder | parent folder. |
index | Index if one is reqiured. |

#### Returns

A new CamelMaildirSummary object.

### camel_maildir_summary_info_to_name ()

    gchar *
    camel_maildir_summary_info_to_name (const CamelMaildirMessageInfo *info);

### camel_maildir_summary_name_to_info ()

    gint
    camel_maildir_summary_name_to_info (CamelMaildirMessageInfo *info,
                                        const gchar *name);

### camel_maildir_info_filename()

    #define camel_maildir_info_filename(x) (((CamelMaildirMessageInfo *)x)->filename)

### camel_maildir_info_set_filename()

    #define camel_maildir_info_set_filename(x, s) (g_free(((CamelMaildirMessageInfo *)x)->filename),((CamelMaildirMessageInfo *)x)->filename = s)

## Types and Values

### CamelMaildirMessageInfo

    typedef struct {
    	CamelLocalMessageInfo info;

    	gchar *filename;		/* maildir has this annoying status on the end of the filename, use this to get the real message id */
    } CamelMaildirMessageInfo;

### struct CamelMaildirSummary

    struct CamelMaildirSummary;